<?php

	require_once "../system/BlogDB.php";

	$config = parse_ini_file("../system/setting.ini");

	$data = array();

	$data["id"] = "";
	$data["title"] = "";
	$data["body"] = "";
	$data["indexsummary"] = "";
	$data["atomsummary"] = "";
	$data["writedate"] = "";

	if ($_REQUEST["mode"] == "edit") {

		$data['form_title'] = '記事修正';

		$db = new BlogDB($config["db_path"]);

		$article = $db->getArticle($_REQUEST["id"]);

		if ($article) {

			$data["id"] = $article["id"];
			$data["writedate"] = $article["writedate"];
			$data["title"] = $article["title"];
			$data["body"] = $article["body"];
			$data["indexsummary"] = $article["indexsummary"];
			$data["atomsummary"] = $article["atomsummary"];

		}

	} else {
		$data['form_title'] = '新規記事作成';
	}

	$html = file_get_contents("article_edit.template");

	foreach ($data as $key => $value) {

		$replaceKey = "<:" . $key . ":>";

		$html = str_replace($replaceKey, $value, $html);

	}

	print $html;

?>
